.\" -*- nroff -*-
.\" ---------------------------------------------------------------------------
.\"    man page for install-sid (by Chad Walstrom, chewie@wookimus.net)
.\"
.\"    This file is part of GNU GNATS
.\"    Copyright 1992 Free Software Foundation, Inc.
.\"
.\"    This program is free software; you can redistribute it and/or
.\"    modify it under the terms of the GNU General Public
.\"    License as published by the Free Software Foundation; either
.\"    version 2 of the License, or (at your option) any later version.
.\"
.\"    This program is distributed in the hope that it will be useful,
.\"    but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
.\"    General Public License for more details.
.\"
.\"    You should have received a copy of the GNU Library General Public
.\"    License along with this program; if not, write to the Free
.\"    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA
.\"
.\" ---------------------------------------------------------------------------
.nh
.TH INSTALL-SID 8 xVERSIONx "November 2004"
.SH NAME
install-sid \- update SUBMITTER variable in site or personal config files.
.SH SYNOPSIS
.B install-sid
.RS
[\ \fB\-\-site\-config\ \fR\ ]
.br
[\ \fB\-\-help\fR\ |\ \fB\-h\fR\ ]
[\ \fB\-\-version\fR\ |\ \fB\-V\fR\ ]
.br
.B SUBMITTER
.ad b
.hy 1
.SH DESCRIPTION

\fBinstall-sid\fR replaces the SUBMITTER variable assignment in the
\fBxSYSCONFDIRx/gnats/send-pr.conf\fR or \fB$HOME/.send-pr.conf\fR files with
the SUBMITTER specified on the commandline.  This variable is necessary to
ensure that a PR is handled promptly.
.LP
If you do not have a unique submitter-id, execute the command:
.TP
.B send-pr --request-id
.LP
.SH OPTIONS
.TP
\fB\-\-site\-config
Edit the site configuration file rather than the personal configuration file.
.TP
\fB\-\-version\fR,\ \fB\-V\fR
Displays the version number of the program.
.TP
\fB\-\-help\fR,\ \fB\-h\fR
Prints a brief usage message.
.SH FILES
xSYSCONFDIRx/gnats/send-pr.conf  The \fBsend-pr\fR configuration file
.br
$HOME/.send-pr.conf  User-specific \fBsend-pr\fR configuration file
.br
.ta \w'/tmp/pbad$$  'u
/tmp/p$$	copy of send-pr.conf used in editing session
.SH "SEE ALSO"
.I Keeping Track: Managing Messages With GNATS
(also installed as the GNU Info file
.BR gnats.info )
.LP
.BR send-pr (1).
.SH AUTHORS
Chad Walstrom.
.SH COPYING
Copyright (c) 2004 Free Software Foundation, Inc.
.PP
This manual is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.
.PP
This manual is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.
.PP
You should have received a copy of the GNU General Public License along with
this manual; if not, write to the Free Software Foundation, Inc., 59 Temple
Place, Suite 330, Boston, MA  02111-1307  USA
